function [LLF,llk,penalty,sigma_e,K0Q_cP, K1Q_cP] = jsz_like_L_macro_test(parameters,yields, W, mats, dt, innovations,L)
% if max(parameters(1:3))>1
    npar=length(parameters(5:end));
    %parameter restrictions
    lb=[-0.6;-0.6;-0.6;0;-inf*ones(npar,1)];
ub=[-.0001;-.0001;-.0001;0.4;inf*ones(npar,1)];
A = [[-1 1 0; 0 -1 1] zeros(2,npar+1)];
b = [0;0];
if any(parameters>ub)||any(parameters<lb)||any(A*parameters>b)
    LLF=inf;
 
else
    K1Q_X = diag(parameters(1:3));
    rinfQ = parameters(4);
    sig_p = veclt(parameters(5:end));
    Sigma_cP = sig_p*sig_p';
  
    [llk, penalty,~, ~, ~, ~, sigma_e,K0Q_cP, K1Q_cP, rho0_cP, rho1_cP, cP, llkP, llkQ] = jszLLK_L_macro(yields, W, K1Q_X, rinfQ, Sigma_cP, mats, dt, innovations,L);
 
    LLF = sum(llk);
end